public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/mosquitto/
Date: Sat, 16 Feb 2019 22:30:08 +0000 (UTC)	[thread overview]
Message-ID: <1550356154.65f830a1752ce2004a7a9342964f3894a0d5f047.monsieurp@gentoo> (raw)

commit:     65f830a1752ce2004a7a9342964f3894a0d5f047
Author:     Lucas Ramage <ramage.lucas <AT> protonmail <DOT> com>
AuthorDate: Fri Feb 15 23:05:10 2019 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Feb 16 22:29:14 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65f830a1

app-misc/mosquitto: bump to version 1.5.6.

Bug: https://bugs.gentoo.org/677638
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: Lucas Ramage <ramage.lucas <AT> protonmail.com>
Closes: https://github.com/gentoo/gentoo/pull/11060
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-misc/mosquitto/Manifest               |   1 +
 app-misc/mosquitto/mosquitto-1.5.6.ebuild | 101 ++++++++++++++++++++++++++++++
 2 files changed, 102 insertions(+)

diff --git a/app-misc/mosquitto/Manifest b/app-misc/mosquitto/Manifest
index 9336c0b65a5..a1312a50869 100644
--- a/app-misc/mosquitto/Manifest
+++ b/app-misc/mosquitto/Manifest
@@ -2,4 +2,5 @@ DIST mosquitto-1.4.14.tar.gz 365596 BLAKE2B 92bcb1fd9e67711d6ce8db5e767be31a1321
 DIST mosquitto-1.5.3.tar.gz 425844 BLAKE2B d868dd67cd86e57f6af8e5556e0cee520f60cac4f16a24ceeec163acf5663339908d77304b7e70898ef5afaeeabb57c2a2857df297600180e1b9db6f2bf990b1 SHA512 8aa4f85914316c2dc08908a649779946ab33b23ea669c6f7eed0d8a1af7ae26381cfe1a50c32d220658f8693ef6a86045690824af4b7ca0271426ff3455e7796
 DIST mosquitto-1.5.4.tar.gz 430602 BLAKE2B 3d9aefdd6caac926fd211df20932904dbccd4bae923bcf2ca1f698d962098fdd606145d229c849dc87ab4daf10af97dc1ecd9e1b4073e9abf67ca8bd17856311 SHA512 4e7ae21304afa843d4d48a8ea0bcf0173deca25961bcd294f86eedbdd8ec59eeca3c8cf5f2d72765128756b2cdf9460f5718041a67c66ce6ac76679cdac247c7
 DIST mosquitto-1.5.5.tar.gz 431998 BLAKE2B d6963235c70fd5ad1f73ea6964e800041afd6fad89a83f3d2c5fd6d843048f328dc93368c99e83820f110dfabd56783fa175a1169bc75316331df62f846409f3 SHA512 4984a8c3a48450ae87dfca9ea825433332c22a5c1b214b7c6d134789675431ba1bcebaceea2fe32c5d32c91ec47b9ded7b61c0c2caf6551f10e4f8dc455a5351
+DIST mosquitto-1.5.6.tar.gz 439402 BLAKE2B 7d887d7d2e02d9891613d441c76705c40744cd8c7acae330648e5a00560b4ba1fbc28b92ac84bf85d423c84de875c5309f364d04fca72516ab2276fe42512b0c SHA512 99bd935f93ae25f0c7992870780cce4748b35ffd58fd0d39e20ee69f34c28d3eac289cf0c7dec078dbdced3bda12da4569d4b5e84ebdaa5514640f331ca3238b
 DIST mosquitto-1.5.tar.gz 419614 BLAKE2B d405e1e4f967f1030229a2e64793b84a3c8dc356a3b8d95a9bfc50a623cdb79517bbcfda87275f23c44002f3a41a20db58fed5a33d2c7d63da95e0d6d15951bb SHA512 29b82bc0c6510fa5062cb43c06bd91ce5223be5689cba077df8b2cb5ac377cb125b8a8bb292b53bcec0d4b186977c25c3ecdd8c92d4ed996fde07f8c759c0668

diff --git a/app-misc/mosquitto/mosquitto-1.5.6.ebuild b/app-misc/mosquitto/mosquitto-1.5.6.ebuild
new file mode 100644
index 00000000000..30791550cf9
--- /dev/null
+++ b/app-misc/mosquitto/mosquitto-1.5.6.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+
+inherit systemd user toolchain-funcs python-any-r1
+
+DESCRIPTION="An Open Source MQTT v3 Broker"
+HOMEPAGE="https://mosquitto.org/"
+SRC_URI="https://mosquitto.org/files/source/${P}.tar.gz"
+
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="bridge examples +persistence +srv ssl tcpd test websockets"
+
+REQUIRED_USE="test? ( bridge )"
+
+RDEPEND="tcpd? ( sys-apps/tcp-wrappers )
+	srv? ( net-dns/c-ares )
+	ssl? ( dev-libs/openssl:0= )"
+DEPEND="${RDEPEND}
+	${PYTHON_DEPS}
+	websockets? ( net-libs/libwebsockets )"
+
+_emake() {
+	LIBDIR=$(get_libdir)
+	emake \
+		CC="$(tc-getCC)" \
+		LIB_SUFFIX="${LIBDIR:3}" \
+		WITH_BRIDGE="$(usex bridge)" \
+		WITH_PERSISTENCE="$(usex persistence)" \
+		WITH_SRV="$(usex srv)" \
+		WITH_TLS="$(usex ssl)" \
+		WITH_WEBSOCKETS="$(usex websockets)" \
+		WITH_WRAP="$(usex tcpd)" \
+		"$@"
+}
+
+pkg_setup() {
+	enewgroup mosquitto
+	enewuser mosquitto -1 -1 -1 mosquitto
+}
+
+src_prepare() {
+	default
+	if use persistence; then
+		sed -i -e "/^#autosave_interval/s|^#||" \
+			-e "s|^#persistence false$|persistence true|" \
+			-e "/^#persistence_file/s|^#||" \
+			-e "s|#persistence_location|persistence_location /var/lib/mosquitto/|" \
+			mosquitto.conf || die
+	fi
+
+	# Remove prestripping
+	sed -i -e 's/-s --strip-program=${CROSS_COMPILE}${STRIP}//'\
+		client/Makefile lib/cpp/Makefile src/Makefile lib/Makefile || die
+
+	python_setup
+	rm test/{broker,lib}/ptest.py || die
+	python_fix_shebang test
+}
+
+src_compile() {
+	_emake
+}
+
+src_test() {
+	_emake test
+}
+
+src_install() {
+	_emake DESTDIR="${D}" prefix=/usr install
+	keepdir /var/lib/mosquitto
+	fowners mosquitto:mosquitto /var/lib/mosquitto
+	dodoc readme.md CONTRIBUTING.md ChangeLog.txt
+	doinitd "${FILESDIR}"/mosquitto
+	insinto /etc/mosquitto
+	doins mosquitto.conf
+	systemd_dounit "${FILESDIR}/mosquitto.service"
+
+	if use examples; then
+		docompress -x "/usr/share/doc/${PF}/examples"
+		docinto "/usr/share/doc/${PF}"
+		doins -r examples
+	fi
+}
+
+pkg_postinst() {
+	if [[ -z "${REPLACING_VERSIONS}" ]]; then
+		elog "The Python module has been moved out of mosquitto."
+		elog "See https://mosquitto.org/documentation/python/"
+	else
+		elog "To start the mosquitto daemon at boot, add it to the default runlevel with:"
+		elog ""
+		elog "    rc-update add mosquitto default"
+		elog "    or"
+		elog "    systemctl enable mosquitto"
+	fi
+}


             reply	other threads:[~2019-02-16 22:30 UTC|newest]

Thread overview: 101+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-16 22:30 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-16  7:22 [gentoo-commits] repo/gentoo:master commit in: app-misc/mosquitto/ Ulrich Müller
2024-11-12  2:36 Matt Turner
2024-11-12  2:34 Matt Turner
2024-10-25 21:12 Sam James
2024-10-18  2:40 Matt Turner
2023-11-29 17:41 Matt Turner
2023-11-29 12:46 Arthur Zamarin
2023-11-29 12:46 Arthur Zamarin
2023-11-28 23:41 Matt Turner
2023-11-28  5:44 Arthur Zamarin
2023-11-25 16:31 Matt Turner
2023-11-25 16:31 Matt Turner
2023-11-25 16:31 Matt Turner
2023-09-22  4:12 Matt Turner
2023-09-08  4:52 Matt Turner
2023-05-09  1:50 Matt Turner
2022-10-31 15:41 Matt Turner
2022-10-09  8:55 Agostino Sarubbo
2022-10-09  8:49 Agostino Sarubbo
2022-10-08 19:28 Sam James
2022-10-08 14:32 Matt Turner
2022-08-19  3:28 Matt Turner
2022-01-24  5:55 Matt Turner
2022-01-08 10:36 Arthur Zamarin
2022-01-08 10:35 Jakov Smolić
2022-01-08 10:35 Jakov Smolić
2021-11-25  6:53 Matt Turner
2021-11-09 22:05 Jakov Smolić
2021-11-07  4:28 Matt Turner
2021-11-07  2:17 Sam James
2021-11-04  0:42 Jakov Smolić
2021-10-29 11:16 Sam James
2021-09-10  1:20 Matt Turner
2021-08-19 19:03 Matt Turner
2021-08-19 19:03 Matt Turner
2021-06-18  5:10 Matt Turner
2021-06-18  5:10 Matt Turner
2021-06-18  5:10 Matt Turner
2021-06-18  5:10 Matt Turner
2021-06-18  5:10 Matt Turner
2021-06-18  5:10 Matt Turner
2021-06-18  5:10 Matt Turner
2021-05-08  2:08 Thomas Deutschmann
2021-05-02 19:55 Mikle Kolyada
2021-04-27 22:03 Sam James
2021-04-27 22:02 Sam James
2021-04-09 14:20 Matt Turner
2021-04-09  1:34 Matt Turner
2020-10-31 16:13 Piotr Karbowski
2020-10-12  6:57 Agostino Sarubbo
2020-08-24 21:03 Matt Turner
2020-07-23 23:20 Sam James
2020-07-01  2:49 Matt Turner
2020-03-19 17:38 Matt Turner
2020-02-25  0:18 Matt Turner
2020-02-01  0:08 Matt Turner
2020-01-23  3:09 Matt Turner
2020-01-23  3:09 Matt Turner
2020-01-17 10:30 Agostino Sarubbo
2020-01-17  9:29 Agostino Sarubbo
2019-12-20 21:59 Matt Turner
2019-11-30  2:21 Stefan Strogin
2019-11-01 19:59 Matt Turner
2019-11-01 11:26 Mikle Kolyada
2019-10-09 11:09 Agostino Sarubbo
2019-10-09 11:08 Agostino Sarubbo
2019-09-28 19:00 Matt Turner
2019-09-27 16:18 Matt Turner
2019-06-22  7:31 Michał Górny
2019-04-27 20:28 David Seifert
2019-04-25 14:41 Michał Górny
2019-03-28 23:12 Patrice Clement
2019-03-20 13:44 Aaron Bauman
2019-03-19  2:03 Thomas Deutschmann
2019-03-16 14:01 Mikle Kolyada
2019-03-14 21:14 Agostino Sarubbo
2019-01-17  8:54 Patrice Clement
2018-12-14 22:52 Patrice Clement
2018-12-07 12:48 Mikle Kolyada
2018-12-07  2:41 Thomas Deutschmann
2018-12-05  9:38 Agostino Sarubbo
2018-10-26  0:35 Virgil Dupras
2018-10-12  3:10 Virgil Dupras
2018-10-11 16:00 Virgil Dupras
2018-03-23 22:27 Michał Górny
2018-02-17 15:10 Patrice Clement
2018-02-17 15:10 Patrice Clement
2018-02-07  9:29 Michał Górny
2017-09-03 12:39 Aaron Bauman
2017-09-02 18:04 Aaron Bauman
2017-09-02 18:02 Aaron Bauman
2017-09-02 18:02 Aaron Bauman
2017-08-04  4:29 Markus Meier
2017-07-20 14:31 Manuel Rüger
2017-05-28 22:05 Manuel Rüger
2017-05-14 11:39 Manuel Rüger
2017-01-17 22:58 Patrice Clement
2016-12-20 14:38 Tobias Klausmann
2016-09-28 21:30 Patrice Clement
2016-09-01 23:46 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1550356154.65f830a1752ce2004a7a9342964f3894a0d5f047.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox